---
title: Xamarin.Android error XA0121
description: XA0121 error code
ms.date: 10/30/2019
---
# Xamarin.Android error XA0121

## Issue

The behavior implemented in the
`<GetAdditionalResourcesFromAssemblies/>` MSBuild task is no longer
supported.

This MSBuild task is a precursor to [Xamarin.Build.Download][xbd] that
enables downloading of Android packages from the internet.

Libraries using any of the following custom assembly-level attributes
will encounter this error:

* `IncludeAndroidResourcesFromAttribute`
* `NativeLibraryReferenceAttribute`
* `JavaLibraryReferenceAttribute`

## Solution

The [Xamarin Support Libraries][supportlibs], can be simply updated to
a newer version on NuGet.

Library authors will need to remove usage of these attributes. Their
functionality was removed in Xamarin.Android 10.2.

[xbd]: https://www.nuget.org/packages/Xamarin.Build.Download
[supportlibs]: https://github.com/xamarin/AndroidSupportComponents
